<?php

class Vensica_Woocommerce{

	public $woo_shortcodes = array(
		'sale_products',
		'best_selling_products',
		'top_rated_products',
		'featured_products',
		'product_attribute',
		'product_category',
		'products',
		'recent_products'
	);

	function __construct(){
		// before and after of loop item
		add_action( 'woocommerce_before_shop_loop_item', array($this, 'before_shop_loop_item'), 0 );
		add_action( 'woocommerce_after_shop_loop_item', array($this, 'after_shop_loop_item'), 999 );

		// before and after of loop title
		add_action( 'woocommerce_shop_loop_item_title', array($this, 'shop_loop_item_title_before'), 0 );
		add_action( 'woocommerce_shop_loop_item_title', array($this, 'shop_loop_item_title_after'), 999 );

		add_action( 'woocommerce_after_shop_loop_item_title', array($this, 'after_shop_loop_item_title'), 999 );

		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
		add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 5 );
		remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart');
	}

	/* ------------------------------------------
	// before and after of loop item
	--------------------------------------------- */
	public function before_shop_loop_item(){
		printf('<div class="vensica-woo-item">');
	}

	public function after_shop_loop_item(){
		printf('</div><!-- end .vensica-woo-item -->');
	}

	/* ------------------------------------------
	// before and after of loop title
	--------------------------------------------- */
	public function shop_loop_item_title_before(){
		printf('</a><div class="entry-title-wrp">');
	}

	public function shop_loop_item_title_after(){
		if( function_exists('woocommerce_template_loop_add_to_cart') ){
			woocommerce_template_loop_add_to_cart();
		}
		if( function_exists('woocommerce_template_loop_price') ){
			woocommerce_template_loop_price();
		}
		printf('</div>');
	}

	public function after_shop_loop_item_title(){
		printf('<a href="#">');
	}

}
if( class_exists('WooCommerce') ){
	new Vensica_Woocommerce();
}