<?php
/* Start the Loop */
while ( have_posts() ) :
	the_post();

	get_template_part( 'template-parts/content/content-single' );

	if ( is_attachment() ) {
		// Parent post navigation.
		the_post_navigation(
			array(
				/* translators: %s: Parent post link. */
				'prev_text' => sprintf( __( '<span class="meta-nav">Published in</span><span class="post-title">%s</span>', 'vensica' ), '%title' ),
			)
		);
	}

	// If comments are open or there is at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}

	// Previous/next post navigation.
	$vensica_next = is_rtl() ? vensica_get_icon_svg( 'ui', 'arrow_left' ) : vensica_get_icon_svg( 'ui', 'arrow_right' );
	$vensica_prev = is_rtl() ? vensica_get_icon_svg( 'ui', 'arrow_right' ) : vensica_get_icon_svg( 'ui', 'arrow_left' );

	$vensica_next_label     = esc_html__( 'Next post', 'vensica' );
	$vensica_previous_label = esc_html__( 'Previous post', 'vensica' );

	the_post_navigation(
		array(
			'next_text' => '<p class="meta-nav">' . $vensica_next_label . $vensica_next . '</p><p class="post-title">%title</p>',
			'prev_text' => '<p class="meta-nav">' . $vensica_prev . $vensica_previous_label . '</p><p class="post-title">%title</p>',
		)
	);
endwhile; // End of the loop.